### Method

# Fwupd JsonObject get_node_for_index

since: 2.1.1

#### Declaration [src]

    FwupdJsonNode*
    fwupd_json_object_get_node_for_index (
      FwupdJsonObject* self,
      guint idx,
      GError** error
    )

#### Description [src]

Gets the node for a given index position.

Available since: 2.1.1

This method is not directly available to language bindings.

#### Parameters

`idx`

  Type: `guint`

  Index.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FwupdJsonNode`

A `FwupdJsonNode`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.